<?php
  class KasutajaHuvialad{
    private $ab;
    private $kid;
    function __construct($yhendus, $kasutaja_id){
      $this->ab=$yhendus;
      $this->kid=$kasutaja_id;
    }
    function vabadHuvialad(){
      $kask=$this->ab->prepare("SELECT id, huviala FROM huvialad WHERE id NOT IN 
         (SELECT huviala_id FROM kasutajad_huvialad WHERE kasutaja_id=?)");
      $kask->bind_param("i", $this->kid);
      $kask->bind_result($id, $huviala);
      $kask->execute();
      $hoidla=array();
      while($kask->fetch()){
         $h=new stdClass();
         $h->id=$id;
         $h->huviala=$huviala;
         array_push($hoidla, $h);
      }
      return $hoidla;
    }
    function valitudHuvialad(){
      $kask=$this->ab->prepare("SELECT kasutajad_huvialad.id as seose_id, 
              huvialad.id as h_id, huviala 
              FROM kasutajad_huvialad, huvialad 
              WHERE kasutajad_huvialad.huviala_id=huvialad.id
                AND kasutajad_huvialad.kasutaja_id=?");
      $kask->bind_param("i", $this->kid);
      $kask->bind_result($seose_id, $h_id, $huviala);
      $kask->execute();
      $hoidla=array();
      while($kask->fetch()){
         $h=new stdClass();
         $h->seose_id=$seose_id;
         $h->h_id=$h_id;
         $h->huviala=$huviala;
         array_push($hoidla, $h);
      }
      return $hoidla;                
    }
    function lisaHuvialad($huviala_idd){
       $kask=$this->ab->prepare("INSERT INTO kasutajad_huvialad (kasutaja_id, 
          huviala_id) VALUES (?, ?)");
       foreach($huviala_idd as $hid){
         $kask->bind_param("ii", $this->kid,  $hid);
         $kask->execute();
       }
    }
    function eemaldaHuvialad($seoste_idd){
       $kask=$this->ab->prepare("DELETE FROM kasutajad_huvialad WHERE id=?");
       foreach($seoste_idd as $seose_id){
          $kask->bind_param("i", $seose_id);
          $kask->execute();
       }
    }
}
?>
